Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156067 - OpenOffice.org icon names contain version number
Summary: OpenOffice.org icon names contain version number
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC4Target
TreeView+ depends on / blocked
 
Reported: 2005-04-27 09:34 UTC by Mark McLoughlin
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 1.9.99-2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-04 08:25:44 UTC


Attachments (Terms of Use)

Description Mark McLoughlin 2005-04-27 09:34:52 UTC
All of the icons that OpenOffice.org installs into the icon theme contain the
version number - e.g openofficeorg-19-base

Icon names should really be long term names as they will be referenced by other
apps.

e.g. because the OpenOffice.org launchers are on the default panel, the icon
name is referenced in the panel configuration. So, when OpenOffice.org goes to
2.0 and the icons become openofficeorg-20-base, you won't see the icons on the
panel anymore.

Comment 1 Caolan McNamara 2005-04-27 10:10:41 UTC
"by other apps", or "by panel"

Comment 2 Mark McLoughlin 2005-04-27 10:17:06 UTC
In practice, its probably only the panel that references these icon names - but
you could imagine some other app wanting to display an openoffice icon, using
the name openofficeorg-19-writer and then finding it breaks later ...


Note You need to log in before you can comment on or make changes to this bug.